#if !defined(AFX_STIHWND_H__6144514F_DA37_11D3_9555_0000B49E567F__INCLUDED_)
#define AFX_STIHWND_H__6144514F_DA37_11D3_9555_0000B49E567F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// StihWnd.h : header file
//
//     ,       
//  
#define OFFS_X	10
#define OFFS_Y	10

#include "trayicon2.h"

class CToolWnd;

//         
//        ""  
extern BOOL AnyDialogShow;

/////////////////////////////////////////////////////////////////////////////
// CStihWnd frame

class CStihWnd : public CFrameWnd
{
	DECLARE_DYNCREATE(CStihWnd)
protected:
	//     
	BOOL FirsTimeStarted;

// Attributes
private:
	//      
	CDC m_StihDC;
	//     
	CBitmap m_StihBmp;
	// 
	CString m_CurStih;
	// 
	COLORREF m_TxtColor;
	// 
	COLORREF m_BkColor;
	//    
	LOGFONT m_lFont;
	//  
	CTrayIcon2	m_trayIcon;	
	//    
	CToolWnd *m_pToolWnd;
	// 
	CString m_CurTopic;
	//      
	SIZE m_Offs;
	//  
	CRgn m_WndRgn;
	UINT m_nFlashTimer;
	//    
	struct stMoveWndStatus_t
		{	CPoint Position; //   
			BOOL Moved; //     
		} m_stMoveWndStatus;
// Operations
public:
	CStihWnd();           // protected constructor used by dynamic creation
	//      
	//      
	BOOL Create(LPCSTR lpszTitle,int nCmdShow);
	//   m_CurStih   NewStih
	void SetNewStih(CString NewStih,BOOL Flash = FALSE);	
	//    m_lfont,m_BkColor, m_TxtColor   
	void SetPropertis(LOGFONT lf,COLORREF BkCol,COLORREF TxtCol);
	//      m_lfont,m_BkColor, m_TxtColor
	void GetPropertis(LOGFONT &lf,COLORREF &BkCol,COLORREF &TxtCol);
private:
	//     m_StihDC   dc.
	void DrawStih(CDC *dc);
	//    (CString &source)  
	//:    
	CopyTextToClipboard(CString &source);
	//  ,CallFromTray ,      
	//    
	int TrackLocalMenu(int uID,BOOL CallFromTray = TRUE);
	//      
	void SendToolBarCommand(int IdCommand);
	//   m_lFont,m_BkColor,m_TxtColor     szSection
	void ReadSettings(LPCSTR szSiction);
	//   m_lFont,m_BkColor,m_TxtColor     szSection
	void WriteSettings(LPCSTR szSection);
	//         lpCstr
	//  hDC.    lpSize
	void CalcTextSize(CDC *hDC,CString *lpCstr, CSize *lpSize);
	//       m_CurStih
	void CalcWndRgn();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStihWnd)
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CStihWnd();
	// Generated message map functions
	//{{AFX_MSG(CStihWnd)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	afx_msg void OnNcPaint( );
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnClose();
	afx_msg LRESULT OnTrayNotification(WPARAM wp, LPARAM lp);
	afx_msg void OnExit();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg BOOL OnQueryEndSession();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnHide();
	afx_msg void OnSetupView();
	afx_msg void OnCopy();
	afx_msg void OnSetup();
	afx_msg void OnAbout();
	afx_msg void OnAutorun();
	afx_msg void OnUpdateAutorun(CCmdUI* pCmdUI);
	afx_msg void OnSkins();
	afx_msg void OnShow();
	afx_msg void OnUpdateAbout(CCmdUI* pCmdUI);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STIHWND_H__6144514F_DA37_11D3_9555_0000B49E567F__INCLUDED_)
