//       

#include "stdafx.h"
#include "wndutils.h"


static TCHAR BASED_CODE szWindowPos[] = _T("WindowPos");
static TCHAR szFormat[] = _T("%u,%u,%d,%d,%d,%d,%d,%d,%d,%d");

//        szSection 
//   WindowPos   
//     SetRegistryKey
void WriteWindowPlacement(LPCSTR szSection,LPWINDOWPLACEMENT pwp)
{
	TCHAR szBuffer[sizeof("-32767")*8 + sizeof("65535")*2];

	wsprintf(szBuffer, szFormat,
		pwp->flags, pwp->showCmd,
		pwp->ptMinPosition.x, pwp->ptMinPosition.y,
		pwp->ptMaxPosition.x, pwp->ptMaxPosition.y,
		pwp->rcNormalPosition.left, pwp->rcNormalPosition.top,
		pwp->rcNormalPosition.right, pwp->rcNormalPosition.bottom);
	AfxGetApp()->WriteProfileString(szSection, szWindowPos, szBuffer);
};

//        szSection 
//   WindowPos   
//     SetRegistryKey
//  TRUE  
BOOL ReadWindowPlacement(LPCSTR szSection,LPWINDOWPLACEMENT pwp)
{
	CString strBuffer = AfxGetApp()->GetProfileString(szSection, szWindowPos);
	if (strBuffer.IsEmpty())
		return FALSE;

	WINDOWPLACEMENT wp;
	int nRead = _stscanf(strBuffer, szFormat,
		&wp.flags, &wp.showCmd,
		&wp.ptMinPosition.x, &wp.ptMinPosition.y,
		&wp.ptMaxPosition.x, &wp.ptMaxPosition.y,
		&wp.rcNormalPosition.left, &wp.rcNormalPosition.top,
		&wp.rcNormalPosition.right, &wp.rcNormalPosition.bottom);

	if (nRead != 10)
		return FALSE;
	
	//           
	//      
	RECT dtRect;
	::GetWindowRect(::GetDesktopWindow(),&dtRect);
	CRect wr(wp.rcNormalPosition);
					
	if (!(::PtInRect(&dtRect,wr.TopLeft()) && ::PtInRect(&dtRect,wr.BottomRight())))
			wp.rcNormalPosition = CRect(0,0,wr.Width(),wr.Height());
	
	wp.length = sizeof wp;
	*pwp = wp;
	return TRUE;
}

