// About.cpp : implementation file
//

#include "stdafx.h"
#include "gariki_next_step.h"
#include "About.h"
#include "gariki.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//   
char *pszDlgTitle = "   ?";
char *pszAuthor = " Rust R. Nasyrov";
char *pszMore = "  ?";

/////////////////////////////////////////////////////////////////////////////
// CAbout dialog


CAbout::CAbout(CWnd* pParent /*=NULL*/)
	: CDialog(CAbout::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAbout)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hOldCur = NULL;
}


void CAbout::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAbout)
	DDX_Control(pDX, IDC_MAIL, m_sMail);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAbout, CDialog)
	//{{AFX_MSG_MAP(CAbout)
	ON_WM_CTLCOLOR()
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONDOWN()
	ON_BN_CLICKED(IDC_MOREABOUT, OnMoreabout)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAbout message handlers

void CAbout::Init()
{
  //    
  char s[900];
	HWND EditWnd = ::GetDlgItem(m_hWnd,IDC_EDIT1);
	::SendMessage( EditWnd,EM_SETMARGINS,
		           EC_LEFTMARGIN ,MAKELONG(5, 5));
						   
	LoadResourceString(FromAuthor,s,799);
	SetDlgItemText(IDC_EDIT1,s );
	SetDlgItemText(IDC_MOREABOUT,pszMore);
  //      
  SetWindowText(pszDlgTitle);
  SetDlgItemText(IDC_AUTHOR,pszAuthor);

}

BOOL CAbout::OnInitDialog() 
{
	CDialog::OnInitDialog();
	Init();
	return TRUE;  
}

HBRUSH CAbout::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
	
	// TODO: Change any attributes of the DC here
	if (pWnd == &m_sMail)
		if (m_hOldCur)
			pDC->SetTextColor(RGB(255,0,0));
		else
			pDC->SetTextColor(RGB(0,0,232));
	// TODO: Return a different brush if the default is not desired
	return hbr;
}

void CAbout::OnMouseMove(UINT nFlags, CPoint point) 
{
	RECT Rect;
	POINT mPoint = point;
	m_sMail.GetWindowRect(&Rect);
	ClientToScreen(&mPoint);

	if (PtInRect(&Rect,mPoint))
	{
		if (!m_hOldCur)
		{
			m_hOldCur = (HCURSOR)SetClassLong(m_hWnd,GCL_HCURSOR,
																(long)LoadCursor(AfxGetInstanceHandle(),
																									MAKEINTRESOURCE(IDC_MAIL)));
			m_sMail.Invalidate(FALSE);
		};
	}
	else
		if (m_hOldCur)
		{
			SetClassLong(m_hWnd,GCL_HCURSOR,(long)m_hOldCur);
			m_hOldCur = NULL;
			m_sMail.Invalidate(FALSE);

		};
		
	CDialog::OnMouseMove(nFlags, point);
}

void CAbout::OnLButtonDown(UINT nFlags, CPoint point) 
{
	if (m_hOldCur)
		ShellExecute(m_hWnd,"open","mailto:rnasyrov@chat.ru",NULL,NULL,0);
	else
		CDialog::OnLButtonDown(nFlags, point);
}

void CAbout::OnMoreabout() 
{
	HtmlHelp(	this->m_hWnd,AfxGetApp()->m_pszHelpFilePath,HELP_CONTEXT, 0);
}
