// AutorunDlg.cpp : implementation file
//

#include "stdafx.h"
#include "gariki_next_step.h"
#include "AutorunDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAutorunDlg dialog
static TCHAR BASED_CODE szTitle[] = _T(" ");
static TCHAR BASED_CODE szAutoRun[] = _T("    Windows");
static TCHAR BASED_CODE szMin[] = _T("  ");

CAutorunDlg::CAutorunDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAutorunDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAutorunDlg)
	m_Autorun = theApp.AutoRun;
	m_HideAtAutorun = theApp.HideAtAutoRun;
	//}}AFX_DATA_INIT
}


void CAutorunDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAutorunDlg)
	DDX_Control(pDX, IDC_MIN, m_Min);
	DDX_Check(pDX, IDC_AUTORUN, m_Autorun);
	DDX_Check(pDX, IDC_MIN, m_HideAtAutorun);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAutorunDlg, CDialog)
	//{{AFX_MSG_MAP(CAutorunDlg)
	ON_BN_CLICKED(IDC_AUTORUN, OnAutorun)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAutorunDlg message handlers

void CAutorunDlg::OnAutorun() 
{
	UpdateData();
	m_Min.EnableWindow(m_Autorun);
}

BOOL CAutorunDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetWindowText(szTitle);

	SetDlgItemText(IDC_AUTORUN,szAutoRun);
	SetDlgItemText(IDC_MIN,szMin);

	m_Min.EnableWindow(m_Autorun);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CAutorunDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	if (pHelpInfo->iContextType == HELPINFO_WINDOW)
	{
		return HtmlHelp(	(HWND)pHelpInfo->hItemHandle,AfxGetApp()->m_pszHelpFilePath,
						HH_HELP_CONTEXT, IDH_SETAUTORUN) != NULL;
	}
	return TRUE;	
//	return CDialog::OnHelpInfo(pHelpInfo);
}
