// StihWnd.cpp : implementation file
//

#include "stdafx.h"
#include "Gariki_Next_Step.h"
#include "StihWnd.h"
#include "wndUtils.h"
#include "ToolWnd.h"
#include "Gariki.h"
#include "SetupView.h"
#include "AutorunDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static TCHAR BASED_CODE szSection[] = _T("Stih Wnd Settings");

static TCHAR szBkColor[] = _T("Back Color");
static TCHAR szTxtColor[] = _T("Text Color");

static TCHAR szFont[] = _T("Font");
static TCHAR szFontFormat[] = _T("%li,%li,%li,%li,%li,%hd,%hd,%hd,%hd,%hd,%hd,%hd,%hd,%s");

#define IDT_FLASHTIMER 989
//         
//        ""  
BOOL AnyDialogShow = FALSE;

//    
#define WM_MY_TRAY_NOTIFICATION WM_USER+0
/////////////////////////////////////////////////////////////////////////////
// CStihWnd

IMPLEMENT_DYNCREATE(CStihWnd, CFrameWnd)

CStihWnd::CStihWnd()
					: m_trayIcon(IDR_CTRLWND)
{
	m_stMoveWndStatus.Moved = FALSE;
	m_nFlashTimer = 0;
	//     
	FirsTimeStarted = FALSE;

	m_CurStih = "     !!!\\r\n   rnasyrov@chat.ru";
	// 
	m_CurTopic = "Error found !!!";
	//  
	m_BkColor = RGB(200,200,145);
	// 
	m_TxtColor = 0;
	//   
	LOGFONT lf = {
     -13,	// logical height of font 
     0,	// logical average character width 
     0,	// angle of escapement 
     0,	// base-line orientation angle 
    500,	// font weight 
     0,	// italic attribute flag 
    0,	// underline attribute flag 
    0,	// strikeout attribute flag 
		RUSSIAN_CHARSET,
    OUT_DEFAULT_PRECIS	,	// output precision 
    CLIP_DEFAULT_PRECIS	,	// clipping precision 
    DEFAULT_QUALITY	,	// output quality 
    DEFAULT_PITCH,	// pitch and family 
    "Arial Cyr" 	// pointer to typeface name string 
	};	
	m_lFont = lf;
	//    
	m_pToolWnd = NULL;
}

CStihWnd::~CStihWnd()
{
	//    
//	delete m_pToolWnd;
}


BEGIN_MESSAGE_MAP(CStihWnd, CFrameWnd)
	//{{AFX_MSG_MAP(CStihWnd)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	ON_WM_PAINT()
	ON_WM_NCPAINT()
	ON_WM_CREATE()
	ON_WM_LBUTTONDBLCLK()
	ON_WM_CLOSE()
	ON_MESSAGE(WM_MY_TRAY_NOTIFICATION, OnTrayNotification)
	ON_COMMAND(ID_EXIT, OnExit)
	ON_WM_TIMER()
	ON_WM_KEYDOWN()
	ON_WM_QUERYENDSESSION()
	ON_WM_RBUTTONDOWN()
	ON_COMMAND(ID_HIDE, OnHide)
	ON_COMMAND(ID_SETUP_VIEW, OnSetupView)
	ON_COMMAND(ID_COPY, OnCopy)
	ON_COMMAND(ID_SETUP, OnSetup)
	ON_COMMAND(ID_ABOUT, OnAbout)
	ON_COMMAND(ID_AUTORUN, OnAutorun)
	ON_UPDATE_COMMAND_UI(ID_AUTORUN, OnUpdateAutorun)
	ON_COMMAND(ID_SKINS, OnSkins)
	ON_COMMAND(ID_SHOW, OnShow)
	ON_UPDATE_COMMAND_UI(ID_ABOUT, OnUpdateAbout)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStihWnd message handlers

void CStihWnd::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	m_stMoveWndStatus.Moved = TRUE;
	m_stMoveWndStatus.Position = point;
	ClientToScreen(&m_stMoveWndStatus.Position);
	
	SetCursor(LoadCursor(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDC_HANDCLOSE)));

	SetCapture();
//	extern CGarikiApp theApp;
//	theApp.m_pMainWnd->SetActiveWindow();
	//CWnd *owner = GetParent();
	//owner->SetActiveWindow();
	//CFrameWnd::OnLButtonDown(nFlags, point);
}

void CStihWnd::OnLButtonUp(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	m_stMoveWndStatus.Moved = FALSE;
	ReleaseCapture();
	//CFrameWnd::OnLButtonUp(nFlags, point);
}

void CStihWnd::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	if (m_stMoveWndStatus.Moved)
	{
		CRect WndRect;
		GetWindowRect(&WndRect);
		ClientToScreen(&point);
		CPoint OffsPoint = point - m_stMoveWndStatus.Position;
		WndRect.OffsetRect(OffsPoint.x,OffsPoint.y);
		m_stMoveWndStatus.Position = point;
		MoveWindow(&WndRect,TRUE);
	};
//	else
//		CFrameWnd::OnMouseMove(nFlags, point);
}

void CStihWnd::OnNcPaint( )
{
	CDC *dc = GetWindowDC();

	//DrawStih(dc);

	CRect WndRect;
	GetWindowRect(&WndRect);
	dc->BitBlt(0,0,WndRect.Width(),WndRect.Height(),&m_StihDC,0,0,SRCCOPY);

	ReleaseDC(dc);
};


void CStihWnd::OnPaint() 
{
	CPaintDC dc(this);
	OnNcPaint( );
}



int CStihWnd::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
//	SetClassLong(this->m_hWnd,GCL_HBRBACKGROUND,(long)CreateSolidBrush(m_BkColor));
	SetClassLong(this->m_hWnd,GCL_HCURSOR,
		(long)LoadCursor(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDC_HAND)));
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	//  
	WINDOWPLACEMENT wp;
	if (ReadWindowPlacement(szSection,&wp))
				MoveWindow(&wp.rcNormalPosition);	
	else
	{
		//,     ,    
	  FirsTimeStarted = TRUE;
		SetWindowPos(NULL,0,80,0,0,SWP_NOOWNERZORDER | SWP_NOSIZE);
	};
	//   
	ReadSettings(szSection);
	//   
	CalcWndRgn();
	//  
	SetWindowRgn(m_WndRgn,TRUE);
	//    
	m_trayIcon.SetNotificationWnd(this, WM_MY_TRAY_NOTIFICATION);
	
	LoadAccelTable(MAKEINTRESOURCE(IDR_ACCELERATOR));
	
	m_trayIcon.SetIcon(MAKEINTRESOURCE(IDI_GARIKI),"    !");
	return 0;
}
//       m_CurStih
void CStihWnd::CalcWndRgn()
{
	//     
	// ,     
	CDC MemDC;
	MemDC.CreateCompatibleDC(GetDC());
	HFONT OldFont,NewFont = CreateFontIndirect(&m_lFont);
	OldFont = (HFONT)MemDC.SelectObject(NewFont);
	//  
	CSize sz;
	CalcTextSize(&MemDC,&m_CurStih,&sz);
	//  
	MemDC.SelectObject(OldFont);
	DeleteObject(NewFont);
	//  
	if (m_WndRgn.m_hObject)
		m_WndRgn.DeleteObject();
	//        
	SetWindowPos(NULL,0,0,sz.cx+OFFS_X*2,sz.cy+OFFS_Y*2,SWP_NOMOVE | SWP_NOZORDER);  
	// 
	VERIFY(m_WndRgn.CreateRoundRectRgn( 0, 0, sz.cx+OFFS_X*2, sz.cy+OFFS_Y*2, OFFS_X, OFFS_Y ));
}
//         lpCstr
//  hDC.    lpSize
void CStihWnd::CalcTextSize(CDC *hDC,CString *lpCstr, CSize *lpSize)
{
	int NextFind,LastFind=0,Count,
		  Len = lpCstr->GetLength();
	CSize LocSize;
	*lpSize = CSize(0,0);

	do
	{
		NextFind = lpCstr->Find("\r\n",LastFind);
		if (NextFind == -1)
			NextFind = Len;
		Count = NextFind-LastFind;
		LocSize =  hDC->GetOutputTextExtent(lpCstr->Mid(LastFind,Count),Count);
	
		lpSize->cy += LocSize.cy;
		if (LocSize.cx > lpSize->cx)
					lpSize->cx = LocSize.cx;
		
		LastFind = NextFind+1;
	}while (NextFind != Len);
};

void CStihWnd::OnLButtonDblClk(UINT nFlags, CPoint point) 
{
	//       
	m_pToolWnd->ShowWindow(SW_RESTORE);
}

void CStihWnd::OnClose() 
{
	//  
	WINDOWPLACEMENT wp;
	wp.length = sizeof wp;
	if (GetWindowPlacement(&wp))
	{
		wp.flags = 0;
		if (IsZoomed())
			wp.flags |= WPF_RESTORETOMAXIMIZED;
		// and write it to the .INI file
		WriteWindowPlacement(szSection,&wp);
	};

	WriteSettings(szSection);

	CFrameWnd::OnClose();
}

//      
//      
BOOL CStihWnd::Create(LPCSTR lpszTitle,int nCmdShow)
{
	CFrameWnd::CreateEx(WS_EX_TOOLWINDOW,NULL,lpszTitle,WS_POPUP,0,0,0,0,NULL,NULL);
	EnableToolTips();
	hMainWnd = m_hWnd;
	//    ...
	m_pToolWnd = new CToolWnd();
	m_pToolWnd->Create(this,0);
	// The main window has been initialized, so show and update it.
	ShowWindow(nCmdShow);
	UpdateWindow();

	m_pToolWnd->ShowWindow(nCmdShow);
	m_pToolWnd->UpdateWindow();
	
	if (nCmdShow == SW_HIDE)
		m_pToolWnd->m_ParentTopMost = FALSE;
		
	//      ?
	if (FirsTimeStarted)
	{
		//m_pToolWnd->SendMessage(WM_COMMAND,ID_ABOUT,0);
		OnAbout();
		OnAutorun();
	};

	return TRUE;
}
//   m_CurStih   NewStih
//Flash -     
void CStihWnd::SetNewStih(CString NewStih,BOOL Flash)
{
	m_CurStih = NewStih;
	//   
	CalcWndRgn();
	if (Flash)
	{	COLORREF tmp;
		tmp = m_BkColor;
		m_BkColor = m_TxtColor;
		m_TxtColor = tmp;
		m_nFlashTimer = SetTimer(IDT_FLASHTIMER,50,NULL);
	};
	//  
	SetWindowRgn(m_WndRgn,TRUE);
	//  
	DrawStih(GetDC());
	
	if (Flash)	
	{
		COLORREF tmp = m_BkColor;
		m_BkColor = m_TxtColor;
		m_TxtColor = tmp;
	};
}

////////////////////////////////////////////////////////////////
// Handle notification from tray icon: display a message.
//
LRESULT CStihWnd::OnTrayNotification(WPARAM uID, LPARAM lEvent)
{
    if (m_trayIcon.OnTrayNotification(uID, lEvent) == 0L) 
		{
        return 0L;
    } 
		else 
		{
	    // If there's a resource menu with the same ID as the icon, use it as 
	    // the right-button popup menu. we will interprets the first
	    // item in the menu as the default command for WM_LBUTTONDBLCLK
	    // 
	   
      if (lEvent==WM_RBUTTONUP) 
							TrackLocalMenu(uID);
      else 
				OnShow();
	  }
    return 1L;
}

//  
void CStihWnd::OnExit() 
{
	::PostMessage(m_pToolWnd->m_hWnd,WM_CLOSE,0,0);
}

//   m_lFont,m_BkColor,m_TxtColor     szSection
void CStihWnd::WriteSettings(LPCSTR szSection)
{
	//   
	AfxGetApp()->WriteProfileInt(szSection, szBkColor, m_BkColor);
	//   
	AfxGetApp()->WriteProfileInt(szSection, szTxtColor, m_TxtColor);
	// 
	TCHAR szBuffer[sizeof("-32767")*8 + sizeof("65535")*2];

	wsprintf(szBuffer, szFontFormat,
		m_lFont.lfHeight,m_lFont.lfWidth,m_lFont.lfEscapement,
		m_lFont.lfOrientation,m_lFont.lfWeight,m_lFont.lfItalic,
		m_lFont.lfUnderline,m_lFont.lfStrikeOut,m_lFont.lfCharSet,
		m_lFont.lfOutPrecision,m_lFont.lfClipPrecision,m_lFont.lfQuality,
		m_lFont.lfPitchAndFamily,m_lFont.lfFaceName); 

	AfxGetApp()->WriteProfileString(szSection, szFont, szBuffer);
}

//   m_lFont,m_BkColor,m_TxtColor     szSection
void CStihWnd::ReadSettings(LPCSTR szSiction)
{
	m_TxtColor = AfxGetApp()->GetProfileInt(szSection, szTxtColor,m_TxtColor);
	m_BkColor = AfxGetApp()->GetProfileInt(szSection, szBkColor,m_BkColor);
	//   
	CString strBuffer = AfxGetApp()->GetProfileString(szSection, szFont);
	if (strBuffer.IsEmpty())
		return;

	LOGFONT lf;
	int nRead = _stscanf(strBuffer, szFontFormat,
		&lf.lfHeight,&lf.lfWidth,&lf.lfEscapement,
		&lf.lfOrientation,&lf.lfWeight,&lf.lfItalic,
		&lf.lfUnderline,&lf.lfStrikeOut,&lf.lfCharSet,
		&lf.lfOutPrecision,&lf.lfClipPrecision,&lf.lfQuality,
		&lf.lfPitchAndFamily,&lf.lfFaceName); 

	if (nRead != 14)
		return;
	//      ?
	HFONT fn = ::CreateFontIndirect(&lf);
	if (fn == NULL)
		return;

	::DeleteObject(fn);
	m_lFont = lf;
}


void CStihWnd::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	if (nIDEvent == IDT_FLASHTIMER)
	{
		KillTimer(m_nFlashTimer);
		m_nFlashTimer = 0;
		//  
		DrawStih(GetDC());
		Invalidate(FALSE);
	};
	CFrameWnd::OnTimer(nIDEvent);
}

void CStihWnd::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	switch (nChar)
	{
		case VK_LEFT:
			SendToolBarCommand(ID_BACK);
		break;
		
		case VK_RIGHT:
			SendToolBarCommand(ID_NEXT);
		break;
		
		default:
			CFrameWnd::OnKeyDown(nChar, nRepCnt, nFlags);
	};
}
//      
void CStihWnd::SendToolBarCommand(int IdCommand)
{
		int nID = m_pToolWnd->m_wndDockBar.CommandToIndex(IdCommand);
		CToolBarCtrl &ptb = m_pToolWnd->m_wndDockBar.GetToolBarCtrl();

		if (ptb.IsButtonEnabled(nID))
		{
			m_pToolWnd->SendMessage(WM_COMMAND,IdCommand,0);
		};
}

BOOL CStihWnd::OnQueryEndSession() 
{
	OnClose();

	if (!CFrameWnd::OnQueryEndSession())
		return FALSE;
	
	return TRUE;
}
//  ,CallFromTray ,      
//    
int CStihWnd::TrackLocalMenu(int uID, BOOL CallFromTray)
{
	CMenu menu;
	if (!menu.LoadMenu(uID))
		    return 0;

	CMenu* pSubMenu = menu.GetSubMenu(0);
	if (!pSubMenu) 
		    return 0;

	if (CallFromTray)
	{
		::DeleteMenu(pSubMenu->m_hMenu,ID_COPY,MF_BYCOMMAND);
		if (AnyDialogShow)
			::EnableMenuItem(pSubMenu->m_hMenu,0,MF_BYPOSITION | MF_GRAYED);

		//  
		if (::IsWindowVisible(m_pToolWnd->m_hWnd) || IsWindowVisible())
			::DeleteMenu(pSubMenu->m_hMenu,ID_SHOW,MF_BYCOMMAND);
		else
			::SetMenuDefaultItem(pSubMenu->m_hMenu,4,TRUE);
	}
	else
		::DeleteMenu(pSubMenu->m_hMenu,ID_SHOW,MF_BYCOMMAND);

	// Display the menu at the current mouse location. There's a "bug"
	// (Microsoft calls it a feature) in Windows 95 that requires calling
	// SetForegroundWindow. To find out more, search for Q135788 in MSDN.
	
	CPoint mouse;
	GetCursorPos(&mouse);
	::SetForegroundWindow(m_hWnd);
	Invalidate(FALSE);
	
	::TrackPopupMenu(pSubMenu->m_hMenu, 0, mouse.x, mouse.y, 0, m_hWnd, NULL);
	return 1;
}

void CStihWnd::OnRButtonDown(UINT nFlags, CPoint point) 
{
	TrackLocalMenu(IDR_CTRLWND,FALSE);
}

void CStihWnd::OnHide() 
{
	m_pToolWnd->SendMessage(WM_COMMAND,ID_HIDE,0);
}

void CStihWnd::OnSetupView() 
{
	if (!AnyDialogShow)
	{
		AnyDialogShow = TRUE;
		CSetupView SetDlg(this);
		SetDlg.DoModal();
		AnyDialogShow = FALSE;
	}
}
//      m_lfont,m_BkColor, m_TxtColor
void CStihWnd::GetPropertis(LOGFONT &lf, COLORREF &BkCol, COLORREF &TxtCol)
{
	lf = m_lFont;
	BkCol = m_BkColor;
	TxtCol = m_TxtColor;
}
//    m_lfont,m_BkColor, m_TxtColor   
void CStihWnd::SetPropertis(LOGFONT lf, COLORREF BkCol, COLORREF TxtCol)
{
	m_lFont = lf;
	m_lFont.lfCharSet = RUSSIAN_CHARSET;

	m_BkColor = BkCol;
	m_TxtColor = TxtCol;
	
	CalcWndRgn();
	SetWindowRgn(m_WndRgn,TRUE);
	//  
	DrawStih(GetDC());
	Invalidate(FALSE);
}

void CStihWnd::OnSetup() 
{	
	m_pToolWnd->SendMessage(WM_COMMAND,ID_SETUP,0);
}

void CStihWnd::OnCopy() 
{
	if(!CopyTextToClipboard(m_CurStih))
		AfxMessageBox("Failed copy to clipboard!");
}

//    (CString &source)  
//:    
BOOL CStihWnd::CopyTextToClipboard(CString &source)
{
 	if(OpenClipboard())
	{
		HGLOBAL clipbuffer;
		char * buffer;
		EmptyClipboard();
		clipbuffer = GlobalAlloc(GMEM_DDESHARE, source.GetLength()+1);
		buffer = (char*)GlobalLock(clipbuffer);
		strcpy(buffer, LPCSTR(source));
		GlobalUnlock(clipbuffer);
		SetClipboardData(CF_TEXT,clipbuffer);
		CloseClipboard();
		return TRUE;
	}
	return FALSE;
}

void CStihWnd::OnAbout() 
{
	m_pToolWnd->SendMessage(WM_COMMAND,ID_ABOUT,0);
}

void CStihWnd::OnAutorun() 
{
	if (!AnyDialogShow)
	{
		AnyDialogShow = TRUE;
		CAutorunDlg AutoRunDlg(this);
		if (AutoRunDlg.DoModal() == IDOK)
		{
			theApp.AutoRun = AutoRunDlg.m_Autorun;
			theApp.HideAtAutoRun = AutoRunDlg.m_HideAtAutorun;
		};
		AnyDialogShow = FALSE;
	};
}

void CStihWnd::OnUpdateAutorun(CCmdUI* pCmdUI) 
{
	pCmdUI->SetCheck(theApp.AutoRun);
}

void CStihWnd::OnSkins() 
{
	if (!AnyDialogShow)
	{
		AnyDialogShow = TRUE;
		m_pToolWnd->SendMessage(WM_COMMAND,ID_SKINS,0);
		AnyDialogShow = FALSE;
	};
}

void CStihWnd::OnShow() 
{
	ShowWindow(SW_SHOWNORMAL);
	m_pToolWnd->ShowWindow(SW_SHOWNORMAL);
	::SetForegroundWindow(m_hWnd);	
};

void CStihWnd::OnUpdateAbout(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(!AnyDialogShow);
}
//     m_StihDC   dc.
void CStihWnd::DrawStih(CDC *dc)
{
	m_StihDC.DeleteDC();
	m_StihBmp.DeleteObject();
	
	//     
	m_StihDC.CreateCompatibleDC(dc);
	//  
	HFONT OldFont,NewFont = CreateFontIndirect(&m_lFont);
	OldFont = (HFONT)m_StihDC.SelectObject(NewFont);
	//  
	CSize s;
	CalcTextSize(&m_StihDC,&m_CurStih,&s);
	//   
	m_StihBmp.CreateCompatibleBitmap(dc,OFFS_X*2+s.cx,OFFS_Y*2+s.cy);
	//   
	m_StihDC.SelectObject(&m_StihBmp);
	
	m_StihDC.SetBkMode(TRANSPARENT );
	//    
	CRgn m_WndRgn;
	m_WndRgn.CreateRoundRectRgn(0,0,OFFS_X*2+s.cx,OFFS_Y*2+s.cy,OFFS_X,OFFS_Y);
  //  
	CBrush RgnBrush;
	RgnBrush.CreateSolidBrush(m_BkColor);
	m_StihDC.FillRgn(&m_WndRgn,&RgnBrush);
  //   
	RgnBrush.DeleteObject();
	RgnBrush.CreateSolidBrush(0);
	m_StihDC.FrameRgn(&m_WndRgn,&RgnBrush,1,1);
	
	
	CRect TxtRect = CRect(OFFS_X,OFFS_Y,OFFS_X+s.cx,OFFS_Y+s.cy);
	m_StihDC.SetTextColor(m_TxtColor);
	m_StihDC.DrawText(m_CurStih,-1,&TxtRect,DT_LEFT);
	//  
	m_StihDC.SelectObject(OldFont);
	DeleteObject(NewFont);
}

BOOL CStihWnd::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	if (pHelpInfo->iContextType == HELPINFO_WINDOW)
	{
		return HtmlHelp(	(HWND)pHelpInfo->hItemHandle,AfxGetApp()->m_pszHelpFilePath,
						HH_HELP_CONTEXT, IDH_ABOUTSTIHWND) != NULL;
	}
	return TRUE;
	//return CFrameWnd::OnHelpInfo(pHelpInfo);
}
