#if !defined(AFX_TOOLWND_H__784C13ED_DE09_11D3_9555_0000B49E567F__INCLUDED_)
#define AFX_TOOLWND_H__784C13ED_DE09_11D3_9555_0000B49E567F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ToolWnd.h : header file
//
#include "EditBar.h"
class CStihWnd;
/////////////////////////////////////////////////////////////////////////////
// CToolWnd frame

class CToolWnd : public CMiniFrameWnd
{
	DECLARE_DYNCREATE(CToolWnd)

// Attributes
protected:
	//    ,   
	CStihWnd *m_pStihWnd;
	//      . 
	UINT m_nShowTimer; 

public:
	// 
	CEditBar m_wndDockBar;
	// ,    
	BOOL m_ParentTopMost;

	// Operations	
public:
	CToolWnd();           // protected constructor used by dynamic creation
	virtual BOOL Create(CWnd* pParent, DWORD dwBarStyle);
private:
	void SetShowTimer();
	//   curStih, CurTopic  .  
	//   szSection
	void ReadMainSettings(LPCSTR szSection);
	//   curStih, CurTopic  .  
	//   szSection
	void WriteMainSettings(LPCSTR szSection);
	//     
	//nIDStih -      , nTopicNo -   ( 0)
	// -   -1,    
	void SetNewContent(int nIDStih, int nTopicNo,BOOL Flash=FALSE);

	virtual ~CToolWnd();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToolWnd)
protected:
	
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL
	virtual void RecalcLayout(BOOL bNotify = TRUE);

// Implementation
protected:
	

	// Generated message map functions
	//{{AFX_MSG(CToolWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnNcLButtonDown(UINT nHitTest, CPoint point);
	afx_msg void OnNcLButtonDblClk(UINT nHitTest, CPoint point);
	afx_msg int OnMouseActivate(CWnd* pDesktopWnd, UINT nHitTest, UINT message);
	afx_msg void OnBack();
	afx_msg void OnUpdateTopMost(CCmdUI* pCmdUI);
	afx_msg void OnTopMost();
	afx_msg void OnHide();
	afx_msg void OnStihCopy();
	afx_msg void OnNext();
	afx_msg void OnUpdateBack(CCmdUI* pCmdUI);
	afx_msg void OnUpdateNext(CCmdUI* pCmdUI);
	afx_msg void OnSetup();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnFind();
	afx_msg void OnUpdateFind(CCmdUI* pCmdUI);
	afx_msg void OnAbout();
	afx_msg BOOL OnQueryEndSession();
	afx_msg void OnSkins();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	


};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOOLWND_H__784C13ED_DE09_11D3_9555_0000B49E567F__INCLUDED_)
